Name:           xdemorse
Version:        0.9
Release:        2%{?dist}
Summary:        GTK based application for decoding and displaying Morse code signals

Group:          Applications/Communications
License:        GPLv2+
URL:            http://5b4az.chronos.org.uk/pages/morse.html
Source0:        http://5b4az.chronos.org.uk/pkg/morse/%{name}/%{name}-%{version}.tar.gz
#add .desktop file
Source1:        %{name}.desktop
#temporary Icon
Source2:        %{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf, automake, gtk2-devel, desktop-file-utils
#Requires:       

%description
xdemorse is a GTK+ graphical version of demorse, using the same
decoding engine as demorse. 

It has an FFT-derived "waterfall" display of the incoming audio signal's
spectrum, as well as a 'scope-like display of the audio detector's output
and status of the mark/space discriminator ("slicer"). xdemorse also has
CAT for the FT-847 and this can be used to net the receiver's frequency
to the incoming signal, by clicking near its trace in the waterfall display.

%prep
%setup -qn %{name}


%build
./autogen.sh
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# no upstream .desktop or icon yet
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install --vendor="fedora" \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README doc/Morsecode.txt
%{_bindir}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop

%changelog
* Sat Mar 01 2008 Robert 'Bob' Jensen <bob@bobjensen.com> - 0.9-2
- Add .desktop and icon
- Submit for review

* Sat Mar 01 2008 Robert 'Bob' Jensen <bob@bobjensen.com> - 0.9-1
- Upstream Version Bump

* Mon Dec 10 2007 Sindre Pedersen Bjørdal - 0.8-1
- Initial build
